Bug 500257 - Pre-Review Request: easymock - Easy mock objects
Pre-Review Request: easymock - Easy mock objects
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:16 EDT by Fernando Nasser
Modified: 2009-08-20 16:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 16:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:16:29 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/easymock.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/easymock-1.2-8.jpp6.src.rpm

Description: 
EasyMock provides Mock Objects for interfaces in JUnit tests by generating
them on the fly using Java's proxy mechanism. Due to EasyMock's unique style
of recording expectations, most refactorings will not affect the Mock Objects.
So EasyMock is a perfect fit for Test-Driven Development.
Comment 1 Andrew Overholt 2009-05-14 16:03:23 EDT
- I can't log in to upstream CVS with the instructions provided in the .spec.  Even using the instructions at [1] I can't log in to their CVS server.

- according to the upstream website, the license is MIT and this is what it says in the .spec

[1]
http://sourceforge.net/scm/?type=cvs&group_id=82958
Comment 2 Fernando Nasser 2009-05-18 12:22:42 EDT
Updated instructions for obtaining source tar ball.

Spec URL: http://people.fedoraproject.org/~fnasser/easymock.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/easymock-1.2-9.jpp6.src.rpm

Thanks for the pre-review!
Comment 3 Andrew Overholt 2009-05-19 09:02:31 EDT
Pre-review accepted.
Comment 4 Fernando Nasser 2009-05-20 16:44:07 EDT
New Package CVS Request
=======================
Package Name: easymock
Short Description: Easy mock objects
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 5 Kevin Fenzi 2009-05-21 19:54:24 EDT
cvs done.
Comment 6 Alexander Kurtakov 2009-08-20 16:10:55 EDT
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128152

Note You need to log in before you can comment on or make changes to this bug.